using System;

internal sealed class Delegate97 : MulticastDelegate
{
	public extern string Invoke(object object_0, string string_0, string string_1);

	public static string smethod_0(object object_0, string string_0, string string_1, Delegate97 delegate97_1)
	{
		return delegate97_1(object_0, string_0, string_1);
	}

	public extern Delegate97(object object_0, IntPtr intptr_0);

	static Delegate97()
	{
		Class10.smethod_13(typeof(Delegate97).TypeHandle);
	}

	internal static Delegate97 delegate97_0;
}
